Package org.springframework.orm.hibernate5

# Class SpringSessionSynchronization

java.lang.Object
org.springframework.orm.hibernate5.SpringSessionSynchronization

All Implemented Interfaces:
  `Flushable`, `org.springframework.core.Ordered`, `org.springframework.transaction.support.TransactionSynchronization`

public class SpringSessionSynchronization extends Object implements org.springframework.transaction.support.TransactionSynchronization, org.springframework.core.Ordered
Callback for resource cleanup at the end of a Spring-managed transaction for a pre-bound Hibernate Session.

Since:
  4.2
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Fields inherited from interface org.springframework.transaction.support.TransactionSynchronization

`STATUS_COMMITTED, STATUS_ROLLED_BACK, STATUS_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`SpringSessionSynchronization(SessionHolder sessionHolder, SessionFactory sessionFactory)`
`SpringSessionSynchronization(SessionHolder sessionHolder, SessionFactory sessionFactory, boolean newSession)`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterCommit()`
`void`
`afterCompletion(int status)`
`void`
`beforeCommit(boolean readOnly)`
`void`
`beforeCompletion()`
`void`
`flush()`
`int`
`getOrder()`
`void`
`resume()`
`void`
`suspend()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.transaction.support.TransactionSynchronization

`savepoint, savepointRollback`

## Constructor Details

### SpringSessionSynchronization

public SpringSessionSynchronization(SessionHolder sessionHolder, SessionFactory sessionFactory)

### SpringSessionSynchronization

public SpringSessionSynchronization(SessionHolder sessionHolder, SessionFactory sessionFactory, boolean newSession)

## Method Details

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`
Specified by:
  `getOrder` in interface `org.springframework.transaction.support.TransactionSynchronization`

### suspend

public void suspend()

Specified by:
  `suspend` in interface `org.springframework.transaction.support.TransactionSynchronization`

### resume

public void resume()

Specified by:
  `resume` in interface `org.springframework.transaction.support.TransactionSynchronization`

### flush

public void flush()

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in interface `org.springframework.transaction.support.TransactionSynchronization`

### beforeCommit

public void beforeCommit(boolean readOnly) throws org.springframework.dao.DataAccessException

Specified by:
  `beforeCommit` in interface `org.springframework.transaction.support.TransactionSynchronization`
Throws:
  `org.springframework.dao.DataAccessException`

### beforeCompletion

public void beforeCompletion()

Specified by:
  `beforeCompletion` in interface `org.springframework.transaction.support.TransactionSynchronization`

### afterCommit

public void afterCommit()

Specified by:
  `afterCommit` in interface `org.springframework.transaction.support.TransactionSynchronization`

### afterCompletion

public void afterCompletion(int status)

Specified by:
  `afterCompletion` in interface `org.springframework.transaction.support.TransactionSynchronization`